﻿'displays an "old Navy" tshirt in different colors
'includes PictureBox for shirt and PictureBoxes for 
'color swatches.  
'Putting the mouse over the swatch changes the shirt 
'to the corresponding color

Imports System.IO

Public Class FrmOldnavy
    Dim myPath As String
    Dim myDefaultColor As String
    Dim price As Decimal = 8.0          'regular price
    Dim addForTall As Decimal = 2.0     'extra amount added for Tall version

    '*******************************************************
    'when program starts get program location
    'load images for swatch Picrtureboxes (still inefficient)
    'set default shirt image
    'set default color variable
    'set default price 
    Private Sub FrmOldnavy_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        myPath = Directory.GetCurrentDirectory
        picSwatch1.Image = Image.FromFile(myPath & "\Images\" & picSwatch1.Tag & ".gif")
        picSwatch2.Image = Image.FromFile(myPath & "\Images\" & picSwatch2.Tag & ".gif")
        picSwatch3.Image = Image.FromFile(myPath & "\Images\" & picSwatch3.Tag & ".gif")
        picSwatch4.Image = Image.FromFile(myPath & "\Images\" & picSwatch4.Tag & ".gif")
        picSwatch5.Image = Image.FromFile(myPath & "\Images\" & picSwatch5.Tag & ".gif")
        picSwatch6.Image = Image.FromFile(myPath & "\Images\" & picSwatch6.Tag & ".gif")
        picSwatch7.Image = Image.FromFile(myPath & "\Images\" & picSwatch7.Tag & ".gif")
        picShirt.Image = Image.FromFile(myPath & "\Images\" & "JerseyCrewNeck_" & picSwatch6.Tag & ".jpg")
        myDefaultColor = picSwatch6.Tag
        lblPrice.Text = FormatCurrency(price)
    End Sub

    '********************************************************
    'note that this subroutine handles many mouse clicks 
    Private Sub picSwatch1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles picSwatch1.Click, picSwatch2.Click, picSwatch3.Click, picSwatch4.Click, picSwatch5.Click, picSwatch6.Click, picSwatch7.Click
        myDefaultColor = sender.tag
    End Sub

    '********************************************************
    'note that this subroutine handles many mouse enter events 
    Private Sub picSwatch1_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles picSwatch1.MouseEnter, picSwatch2.MouseEnter, picSwatch3.MouseEnter, picSwatch4.MouseEnter, picSwatch5.MouseEnter, picSwatch6.MouseEnter, picSwatch7.MouseEnter
        picShirt.Image = Image.FromFile(myPath & "\Images\" & "JerseyCrewNeck_" & sender.Tag & ".jpg")
        'the sender is the control that was mouse entered 
        'it has a Tag with a color written in design 
    End Sub

    '********************************************************
    'note that this subroutine handles many mouse leave events 
    Private Sub picSwatch1_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles picSwatch1.MouseLeave, picSwatch2.MouseLeave, picSwatch3.MouseLeave, picSwatch4.MouseLeave, picSwatch5.MouseLeave, picSwatch6.MouseLeave, picSwatch7.MouseLeave
        picShirt.Image = Image.FromFile(myPath & "\Images\" & "JerseyCrewNeck_" & myDefaultColor & ".jpg")
        'the sender is the control that was mouse entered 
        'it has a Tag with a color written in design 
    End Sub

    '*************************************************************
    'Use CheckBox event to change price
    'Add extra amount if user checks Tall 
    Private Sub chbTall_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chbTall.CheckedChanged
        If chbTall.Checked Then
            lblPrice.Text = FormatCurrency(price + addForTall)
        Else
            lblPrice.Text = FormatCurrency(price)
        End If
    End Sub
End Class
